/*produces counts for each gain group per education*/
SELECT educationlevel, 
  CASE WHEN capitalgain BETWEEN 0 AND 25000 THEN 'Q4'
            WHEN capitalgain BETWEEN 25000 AND 50000 THEN 'Q3'
            WHEN capitalgain BETWEEN 50000 AND 75000 THEN 'Q2'
            WHEN capitalgain BETWEEN 75000 AND 100000 THEN 'Q1'
  END AS gain_group,
  COUNT(*) AS num_people         
FROM person
GROUP BY educationlevel, gain_group
ORDER BY 1,2;